Bug 197087 - recorder.py is not able to run, pyspi needs updating.
recorder.py is not able to run, pyspi needs updating.
Product: Fedora
Classification: Fedora
Component: dogtail (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zack Cerza
Fedora Extras Quality Assurance
Depends On:
Blocks: FE6Target
  Show dependency treegraph
Reported: 2006-06-28 10:37 EDT by Jesse Keating
Modified: 2013-01-09 21:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-01 18:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-06-28 10:37:45 EDT
Installed dogtail on rawhide, tried to run recorder.py:

Detecting distribution: Red Hat/Fedora/derived distribution
Warning: AT-SPI's desktop is visible but it has no children. Are you running any
AT-SPI-aware applications?
Traceback (most recent call last):
  File "/usr/share/doc/dogtail-0.5.1/examples/recorder.py", line 220, in ?
    recorder = EventRecorder()
  File "/usr/share/doc/dogtail-0.5.1/examples/recorder.py", line 161, in __init__
    self.listeners = self.__registerEvents()
  File "/usr/share/doc/dogtail-0.5.1/examples/recorder.py", line 170, in
    listeners.append(atspi.EventListener(marshalOnFocus, ["focus:"]))
  File "pyspi.pyx", line 1252, in atspi.EventListener.__init__
AttributeError: 'atspi.EventListener' object has no attribute 'eventTypes'

Bug filed as requested in meeting.

Note You need to log in before you can comment on or make changes to this bug.